gemでインストールされてる場合のみrequireしたい

こんな感じでいいのかな

require 'rubygems'
gemPathSearcher = Gem::GemPathSearcher.new
require 'redgreen' if gemPathSearcher.find('redgreen')